Send a test webhook

Queues a webhook.test delivery to an active endpoint and returns the queued delivery. The application must have an active installation with the webhook:manage permission. Send an Idempotency-Key header. A disabled endpoint returns conflict.

POST/api/v2/developer/apps/{appId}/webhook-endpoints/{endpointId}/test

Parameters #

PropertyTypeLocationDescription
appIdstringRequiredpath-
endpointIdstringRequiredpath-
x-request-idstringheader-
idempotency-keystringRequiredheader-

Request #

curl --request POST 'https://strave.gg/api/v2/developer/apps/APP_ID/webhook-endpoints/ENDPOINT_ID/test' \
  --header 'Authorization: Bearer $STRAVE_ACCESS_TOKEN'

Response #

201Response for status 201
application/json
400Response for status 400
application/json
401Response for status 401
application/json
403Response for status 403
application/json
404Response for status 404
application/json
409Response for status 409
application/json
412Response for status 412
application/json
428Response for status 428
application/json
429Response for status 429
application/json
500Response for status 500
application/json
503Response for status 503
application/json
PropertyTypeDescription
dataobjectRequired-
└idstringRequired-
└applicationIdstringRequired-
└installationIdstringRequired-
└endpointIdstringRequired-
└eventIdstringRequired-
└eventTypestringRequired-
└statusstringRequired-
└attemptCountintegerRequired-
└responseStatusinteger | nullRequired-
└errorCodestring | nullRequired-
└redeliveryOfstring | nullRequired-
└createdAtstringRequired-
└updatedAtstringRequired-
└deliveredAtstring | nullRequired-